<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>伪元素实现计数器</title>
    <style>
        .chooses {
          counter-reset: letters;
        }
        .chooses input:checked {
          counter-increment: letters;
        }
        .choose span::after {
          content: counter(letters);
        }
    </style>
<body>
    <div class="chooses">
        <input type="checkbox">a
        <input type="checkbox" >b
        <input type="checkbox">c
        <input type="checkbox">d
        <input type="checkbox">e
        <input type="checkbox">f
        <input type="checkbox">g
        <input type="checkbox">h
        <input type="checkbox">i
        <input type="checkbox">j
    </div>
    <p class="choose">我选择了<span></span>个字母</p>
</body>
</html>